Subject: Northwestern
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 22 May 2001 07:41:00 -0700 (PDT)

Please provide an update as to the status of the execution of the PSA with 
Northwestern for the forward purchase of two turbines.  It has been some time 
since I saw any documents or was involved in any meetings on this 
transaction.  If executed, please insure that we have a copy for our files 
and a tickler of what the action plan is with respect to having the documents 
for purchase from E-next prepared and timing of execution/purchase.

Lisa